<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\KursPlanung\KursKopie;


class KursKopieView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursplanung/kurskopie.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    static $obj = null;
    if (\is_null($obj)) {
      $obj = new class() extends \Datamodul {
        public $blaettern;
        public $toolId;
        public $uebersicht_als_tabelle;
      };

      $obj->blaettern = $this->viewModel->blaettern;
      $obj->toolId = $this->viewModel->toolId;
      $obj->uebersicht_als_tabelle = $this->viewModel->uebersichtAlsTabelle;
    }

    return array($obj);
  }
}

class KursKopieViewModel
{
  public $columns;
  public $blaettern;
  public $buttons;
  public $toolId;
  public $uebersichtAlsTabelle;
  public $toolSettings;
  public $toolSection;
}